# Get national list information

| HTTP method | Endpoint                   |
| ----------- | -------------------------- |
| **GET**     | **aff/v1/dict\_countries** |

**Note: When you request the API,will returns the national information in the dictionary .**

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field   | Type           | Description                          |
| ------- | -------------- | ------------------------------------ |
| country | string         | name of the country.                 |
| code    | string         | International short of this country. |
| citys   | array\[string] | The country's urban areas.           |

## Example request <a href="#example-request" id="example-request"></a>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/dict_countries>

## Example response <a href="#example-response" id="example-response"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "dict_country": [
            {
                "country": "Europe (Unknown Country)",
                "code": "EU",
                "citys": "AOL"
            }
            ]
            }
     }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/affiliate_api/dictionary/get_national_list_information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
